Subject: RE: cygwin32 mingwin32 qnd wxWindows
From: [email-masked] (Zow Terry Brugger)

16 Feb 1998 06:19:32 -0800
Message-ID: <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "[email-masked]'" <[email-masked]>,
        "[email-masked]" <[email-masked]>

Well, I just looked at the sources and I was rather amazed to see that the 
gnu version of gettimeofday not only uses two args (which has been declared 
the standard apparently), but it makes use of the second arg as a timezone 
argument, which seems to be a logical use for such. So be sure that your 
gettimeofday call is of the form:
gettimeofday(struct timeval *, struct timezone *);
where timeval and timezone are defined in include/sys/time.h

Hope this helps!
"Zow" Terry Brugger
[email-masked]
[email-masked]

-----Original Message-----
From:	Stephane Cateland
Sent:	Friday, February 13, 1998 3:51 PM
To:	[email-masked]
Subject:	cygwin32 mingwin32 qnd wxWindows

I would like to compile wxWindows with mingw32 2.8.0
but it does not compile out of the box.
more particurlarly there is problrem with time function (gettimeofday)
and some system call

Is some one ever tried it or has advice to give me

thanks
//////////////////////////////////////////////////
//
// S. Cateland / [email-masked]
//
//   Adersa  10 rue de la croix Martre   91873 Palaiseau cedex
//   Phone   [switchboard]   (33) 0 160 135 353
//   Fax                     (33) 0 169 200 563
//
//////////////////////////////////////////////////
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".